package org.greenstone.server;

import java.io.IOException;
import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;

import org.greenstone.server.StreamGobbler;

import org.apache.log4j.*;

public class RunAnt extends Thread {
    private String antCmd = "";
    static Logger logger = Logger.getLogger(org.greenstone.server.RunAnt.class.getName());
    private int state = -1; //success: 0 error: 1    
    public static int SUCCESS = 0;
    public static int FAILED = 1; 

    private String antSuccess = "BUILD SUCCESSFUL";
    private String antFailed = "BUILD FAILED";
    private String antFinished = "Total time";

    public void run() {
	 
	 try {
	     state = -1;
	     Runtime run = Runtime.getRuntime();
             Process process = run.exec(getAntCmd());
	     BufferedReader br = new BufferedReader(new InputStreamReader(process.getInputStream()));
	     String line = null;
             while (!(line = br.readLine()).startsWith(antFinished)){
                 
		 if (line.equals(antSuccess)){
		     state = 0;
		 }
     
		 if (line.equals(antFailed)){
		     state = 1; 
                  }
		 logger.info(line);
	     }    
	 } catch (Exception e) {
	     logger.error(e);
	     state = 1;
	 } 
    }
  
    public int getAntState(){
	return state;     
    }
    
    public void setAntCmd(String cmd) {
	String osName = System.getProperty("os.name");
      	if (osName.startsWith("Windows")) {
	    this.antCmd = "ant.bat " + cmd;
	} else {
	    this.antCmd = "ant " + cmd;
	}
    }

    public String getAntCmd() {
	return this.antCmd;
    }
}
